/*
 * ePeriodique: an EFL Periodic Table Of Elements
 * Copyright (C) 2010-2014 Jerome Pinot <ngc891@gmail.com>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include "eperiodique.h"

static void
about_del(void *data, Evas *e __UNUSED__, Evas_Object *obj __UNUSED__, void *event_info __UNUSED__)
{
   Evas_Object *popup = data;

   evas_object_hide(popup);
}

void
popup_about(void *data, Evas *e __UNUSED__, Evas_Object *obj __UNUSED__, void *event_info __UNUSED__)
{
   Evas_Object *window = data;
   Evas_Object *popup, *label;
   char buffer[256];

   /* Show the about window */
   popup = elm_win_inwin_add(window);
   elm_object_style_set(popup, "minimal_vertical");
   evas_object_show(popup);

   /* Construct a formatted label for the inwin */
   label = elm_label_add(window);
   snprintf(buffer, sizeof(buffer), "<b>ePeriodique %s</b><br><br>"
            "%s<br><br>"
            "Data from:<br>"
            " - http://en.wikipedia.org/<br>"
            " - http://www.periodictable.com/<br>"
            " - http://www.webelements.com/<br>"
            " - http://images-of-elements.com/<br>",
            VERSION, COPYRIGHT);
   elm_object_text_set(label, buffer);
   evas_object_show(label);
   elm_win_inwin_content_set(popup, label);

   /* Close the inwin when clicked */
   evas_object_event_callback_add(popup, EVAS_CALLBACK_MOUSE_DOWN, about_del, popup);
}

/* vim: set ts=8 sw=3 sts=3 expandtab cino=>5n-3f0^-2{2(0W1st0 : */
